# std::swap(std::queue)

From cppreference.com
< cpp‎ | container‎ | queue

template< class T, class Container > void swap( queue<T,Container>& lhs, queue<T,Container>& rhs ); |  | (until C++17)
template< class T, class Container > void swap( queue<T,Container>& lhs, queue<T,Container>& rhs ) noexcept(/* see below */); |  | (since C++17)

Specializes the std::swap algorithm for std::queue. Swaps the contents of `lhs` and `rhs`. Calls lhs.swap(rhs).

This overload only participates in overload resolution if std::is_swappable<Container>::value is true. | (since C++17)

### Parameters

lhs, rhs | - | containers whose contents to swap

### Return value

(none)

### Complexity

Same as swapping the underlying container.

### Exceptions

`noexcept` specification: noexcept(noexcept(lhs.swap(rhs))) | (since C++17)

### See also

swap | swaps the contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/queue/swap2&oldid=50641"